Create contributor invitations for a card

Create contributor invitations for a card.

Use this after creating a card when you want to invite contributors by email, SMS, or group.

Typical flow:

  1. Create or locate a card with POST /api/cards or GET /api/cards.
  2. Submit one or more invitees to this endpoint.
  3. Use GET /api/cards/:card_id/invitations to inspect invitation records.
  4. Use POST /api/cards/invitations/resend if you need to resend a specific invitation later.

Example:

curl -X POST "$BASE_URL/api/cards/invitations" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{
    "card_id": "<card_id>",
    "title": "Please sign Jordan's card",
    "message": "Add your note before Friday.",
    "invitees": [
      {
        "delivery_type": "email",
        "delivery_id": "[email protected]"
      }
    ]
  }'

Authentication for this endpoint requires this header:

  • Authorization: Bearer <access_token>

Generate the bearer token by:

  1. rotating credentials at POST /account/api-access/credentials/rotate
  2. exchanging them at POST /account/api-access/token
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Card Id

invitees
array of objects
required

List of invitees

invitees*
string

Title of invitation

string

Enter message to contributor

string
enum

Set reminder

Allowed:
Response
201
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!